#############################################################################
##
##  PackageInfo.g         hallpoly package                       Bettina Eick
##                                                             Alexander Cant
##

SetPackageInfo( rec(

PackageName := "hallpoly",
Subtitle := "Computing Hall polynomials for T-groups",
Version := "1.0",
Date := "14/03/2018",

Persons := [
  rec(
      LastName      := "Eick",
      FirstNames    := "Bettina",
      IsAuthor      := true,
      IsMaintainer  := true,
      Email         := "beick@tu-bs.de",
      WWWHome       := "http://www.icm.tu-bs.de/~beick",
      PostalAddress := Concatenation(
               "AG Algebra und Diskrete Mathematik\n",
               "Institut Computational Mathematics\n",
               "TU Braunschweig\n",
               "Universitätsplatz 2\n",
               "38106 Braunschweig\n",
               "Germany" ),
      Place         := "Braunschweig",
      Institution   := "TU Braunschweig"),

  rec(
      LastName      := "Cant",
      FirstNames    := "Alexander",
      IsAuthor      := true,
      IsMaintainer  := true,
      Email         := "a.cant@tu-bs.de",
      WWWHome       := "http://www.icm.tu-bs.de/~alecant",
      PostalAddress := Concatenation(
               "AG Algebra und Diskrete Mathematik\n",
               "Institut Computational Mathematics\n",
               "TU Braunschweig\n",
               "Universitätsplatz 2\n",
               "38106 Braunschweig\n",
               "Germany" ),
      Place         := "Braunschweig",
      Institution   := "TU Braunschweig")
],

Status := "dev",
#CommunicatedBy := "...",
#AcceptDate := "...",

PackageWWWHome := "...",

ArchiveFormats := ".tar.gz",
ArchiveURL := "...",
README_URL := "...",
PackageInfoURL := "...",
# ArchiveURL     := Concatenation( ~.PackageWWWHome, "hallpoly-", ~.Version ),
# README_URL     := Concatenation( ~.PackageWWWHome, "README" ),
# PackageInfoURL := Concatenation( ~.PackageWWWHome, "PackageInfo.g" ),

AbstractHTML :=
"...",

PackageDoc := rec(
  BookName  := "hallpoly",
  ArchiveURLSubset := ["doc", "htm"],
  HTMLStart := "...",
  PDFFile   := "...",
  SixFile   := "...",
  LongTitle := "Computing Hall polynomials for T-groups",
  Autoload  := true),

Dependencies := rec(
  GAP := ">=4.4",
  NeededOtherPackages := [],
  SuggestedOtherPackages := [["singular", ">=12"]],
  ExternalConditions := [] ),

AvailabilityTest := ReturnTrue,
Autoload := false,
Keywords := ["T-group", "Hall polynomials"],
BannerString := Concatenation([ "Loading hallpoly ", ~.Version, " ... \n"]),
));


